<%= stylesheet_link_tag "procedure.css", "map_menu.css", "cluster.css", media: "screen" %>
<%= stylesheet_link_tag "procedure_print.css", "cluster.css", media: "print"  %>
<%= javascript_include_tag "map_menu.js" %>

<div class="container">
<div class = "main row no-print">
    <%= javascript_tag do %>
      window.MAX_SLIDERS = '<%= @MAX_SLIDERS.inspect.html_safe %>';
      window.NUM_FILTERS = '<%= @NUM_FILTERS.inspect.html_safe %>';
    <% end %>
    <div id="map-affix" class = "affix">
        <div class = "map-wrapper" id="procedure_map"> </div>
    </div>
    <div class="col-md-9">
        <h1> </h1>
    </div>
    <div class="map-config select translateX-0" id="div-adm">
        <div class="map-config-header select-header" onclick="show_menu('#div-adm')">
            <p>Opções do mapa</p>
        </div>
        <div class="select-body">
            <p>Raio de convergência (Km):</p>
                <div class="row justify-content-between">
                    <div class="col-sm-2 text-left no-wrap">
                        Agrupamento:
                    </div>
                    <div class="col-sm-10 text-right">
                        <input class="slider_cluster" id="slider_cluster" type="text" style="width: 70%" title="Cluster"/>
                    </div>
                </div>
                <div class="row justify-content-between">
                    <div class="col-sm-2 text-left no-wrap">
                        Mapa de calor:
                    </div>
                    <div class="col-sm-10 text-right">
                        <input class="slider_heatmap" id="slider_heatmap" type="text" style="width: 70%" title="Heatmap"/>
                    </div>
                </div>
                <div class="col-sm-12"><hr></div>
                <p>Cor do heatmap:</p>
                <input type="checkbox" name="checkGradient" id="checkGradient">Modo Alto Contraste</input>
                    <div class="row justify-content-between">
                </div>
                <div class="col-sm-12"><hr></div>
                <p>Opacidade:</p>
                <div class="row justify-content-between">
                    <div class="col-sm-2 text-left no-wrap">
                        Mapa de calor:
                    </div>
                    <div class="col-sm-10 text-right">
                        <input class="slider_opacity" id="slider_opacity", type="text" style="width: 70%" title="Opacity">
                    </div>
                </div>
                <div class="col-sm-12"><hr></div>
            <p>Visualizar limites administrativos:</p>
            <form>
                <ul id="checkbox-list">
                    <li><input type="checkbox" name="optCheckbok" value="0" onchange="setShape('Shape_SP.geojson', null)"> Município de São Paulo</li>
                    <li><input type="checkbox" name="optCheckbok" value="1" onchange="setShape('Shape_CRS.geojson', null)"> Coordenadoria Regional de Saúde</li>
                    <li><input type="checkbox" name="optCheckbok" value="2" onchange="setShape('Shape_STS.geojson', null)"> Supervisão Técnica de Saúde</li>
                    <li><input type="checkbox" name="optCheckbok" value="3" onchange="setShape('Shape_PR.geojson', null)"> Prefeitura Regional</li>
                    <li><input type="checkbox" name="optCheckbok" value="4" onchange="setShape('Shape_DA.geojson', null)"> Distritos Administrativos</li>
                    <li><input type="checkbox" name="optCheckbok" value="5" onchange="setShape('Shape_UBS.geojson', null)"> Áreas de Abrangência de UBS</li>
                    <li><input type="checkbox" name="optCheckbok" value="6" onchange="setShape('Shape_ESF.geojson', null)"> Áreas de Cobertura da Estratégia Saúde da Família</li>
                </ul>
            </form>
        </div>
    </div>

    <div class="btn-column">
      <div class="btn-item clear" id="btn-clear" onclick="limpar()">
          <p class="btn-text">Limpar</p>
      </div>
      <div class="btn-item print" id="btn-print" onclick="print_maps()">
          <p class="btn-text">Imprimir</p>
      </div>
      <div class="btn-item graphs" id="btn-graphs" onclick="graphs()">
          <p class="btn-text">Ver dados da busca</p>
      </div>
      <div class="btn-item download" id="btn-graphs" onclick="download(getData())">
          <p class="btn-text"> Download </p>
      </div>
    </div>

    <div class="item-legend legenda hide" id="heatmap-leg">
          <p class="text"></p>
          <div class="heatmap-legend" onclick="show_menu('#heatmap-leg')">
            <p class="legend-title">Número de Internações Hospitalares</p>
            <p id="legend-scale"></p>
            <div class="legend-bar">
                <span id="gradient" class="span-normal"></span>
            </div>
            <div class="legend-data">
                <li class="legend-data-li" id="legend-label-1"></li>
                <li class="legend-data-li" id="legend-label-2"></li>
            </div>
          </div>
          <div class="print-only legend-estab">
            <div class="legend-item">
              <%= image_tag("/health_centre_icon.png", :class => "legend-img") %>
              <p>Estadual</p>
            </div>
            <div class="legend-item">
              <%= image_tag("/health_centre_icon2.png", :class => "legend-img") %>
              <p>Municipal</p>
            </div>
          </div>
    </div>

    <div class ="col-sm-3 background-white" id="filters">
        <div class="card card-block">
            <div class = "row">
                <div class="col-sm-8">
                    <label for="select_automatic_search" title="Habilitar Seleção Automática durante a pesquisa."><b>Busca automática: </b></label>
                </div>

                <div class="col-sm-4">
                    <label class="switch">
                        <input type="checkbox" id="automatic_search_checkbox" onchange="automatic_search()">
                        <span class="sliderOn round"></span>
                    </label>
                </div>

                <div class="col-sm-12"><hr></div> <!-- Space line -->

                <button class="collapsible location"><h4><b>Estabelecimento</b></h4></button>
                <% j = 0 %>
                <div class="wrap">
                    <div class="content">
                        <% @establishment.each.with_index do |f, i| %>
                            <div class="col-sm-12">
                                <div class="filter-label">
                                    <label for="<%= i %>" title="<%= @titles_establishment_filters[i] %>"><b>
                                        <%= f %>
                                    </b></label>
                                    <p class="label-subtitle" id="filters_<%= @filters_name[j] %>"></p>
                                </div>
                                <select class="select-<%= i %> form-control" id="<%= j %>" multiple="multiple" onchange='change()'>
                                    <%= @options_establishment[i].each do |v| %>
                                        <option value= "<%= v["id"] %>" > <%= v["text"] %> </option>
                                    <% end %>
                                </select>
                            </div>
                            <% j = j + 1 %>
                            <div class="col-sm-12"><hr></div> <!-- Space line -->
                        <% end %>
                    </div>
                </div>
                <button class="collapsible diagnostic"><h4><b>Procedimento</b></h4></button>
                <div class="wrap">
                    <div class="content">
                        <% @procedure.each.with_index do |f, i| %>
                            <div class="col-sm-12">
                                <div class="filter-label">
                                    <label for="<%= i %>" title="<%= @titles_procedure_filters[i] %>"><b>
                                        <%= f %>
                                    </b></label>
                                    <p class="label-subtitle" id="filters_<%= @filters_name[j] %>"><!--<span class="label-source"> - hello</span>--></p>
                                </div>
                                <select class="select-<%= i %> form-control" id="<%= j %>" multiple="multiple" onchange='change()'>
                                    <%= @options_procedure[i].each do |v| %>
                                        <option value= "<%= v["id"] %>" > <%= v["text"] %> </option>
                                    <% end %>
                                </select>
                            </div>
                            <% j = j + 1 %>
                            <div class="col-sm-12"><hr></div> <!-- Space line -->
                        <% end %>
                    </div>
                </div>
                <button class="collapsible patient_info"><h4><b>Informações do Paciente</b></h4></button>
                <div class="wrap">
                    <div class="content">
                        <% @patient_info.each.with_index do |f, i| %>
                            <div class="col-sm-12">
                                <div class="filter-label">
                                    <label for="<%= i %>" title="<%= @titles_patient_info_filters[i] %>"><b>
                                        <%= f %>
                                    </b></label>
                                    <p class="label-subtitle" id="filters_<%= @filters_name[j] %>"><!--<span class="label-source"> - hello</span>--></p>
                                </div>
                                <select class="select-<%= i %> form-control" id="<%= j %>" multiple="multiple" onchange='change()'>
                                    <%= @options_patient_info[i].each do |v| %>
                                        <option value= "<%= v["id"] %>" > <%= v["text"] %> </option>
                                    <% end %>
                                </select>
                            </div>
                            <% j = j + 1 %>
                            <div class="col-sm-12"><hr></div> <!-- Space line -->
                        <% end %>
                        <div class = "col-sm-2">
                            <label title="Selecionar o(s) sexo(s) de busca dos pacientes."><b>Sexo</b></label>
                        </div>
                        <div class = "col-sm-5">
                            <div class="form-check form-check-inline" style = "max-width = 140px;">
                            <label class="form-check-label">
                                    <input class="form-check-input" type="checkbox" id="sexo_masculino" value="M" checked="unchecked" onchange="change()">Masculino
                                </label>
                            </div>
                        </div>
                        <div class = "col-sm-5">
                            <div class="form-check form-check-inline" style = "max-width = 120px;">
                            <label class="form-check-label">
                                <input class="form-check-input" type="checkbox" id="sexo_feminino" value="F" checked="unchecked" onchange="change()">Feminino
                            </label>
                            </div>
                        </div>
                    </div>
                </div>
                <button class="collapsible values_search"><h4><b>Valores de Busca</b></h4></button>
                <div class="wrap">
                  <div class="content">
                      <% @sliders.each.with_index do |slid, i| %>
                          <div class="col-sm-12">
                                <div class="filter-label">
                                    <label id="label_slider_<%= i %>" for="<%= i %>" title="<%= @titles_sliders[i] %>">
                                        <%= slid %><b>
                                    </b></label>
                                    <p class="label-subtitle" id="sliders_<%= @sliders_name[i] %>"><!--<span class="label-source"> - hello</span>--></p>
                                </div>
                              <div class="row slider-div">
                                  <div class="col-sm-1 text-right left">
                                      <span id="slider_<%= i %>_min"><input id="input_slider_<%= i %>_min" class="min-number" type="number" name="minSlider" value="0" onchange="inputSlider()" min="0"></span>
                                  </div>
                                  <div class="col-sm-9 left">
                                      <input class="slider" id="slider_<%= i %>" type="text" style="width: 85%"/>
                                      <label id="label_median_slider_<%= i %>" class="label-median"></label>
                                  </div>
                                  <div class="col-sm-1 left" style = "text-align: left" id="text-left">
                                      <span id="slider_<%= i %>_max"><input id="input_slider_<%= i %>_max" class="max-number" type="number" name="maxSlider" value="<%= @MAX_SLIDERS[i].to_s %>" onchange="inputSlider()" min="0"></span>
                                  </div>
                              </div>
                          </div>
                          <div class="col-sm-12"><hr></div> <!-- Space line -->
                      <% end %>
                  </div>
                </div>
                <div class="col-sm-12">
                    <label title="Intervalo de tempo de busca."><b>Período</b></label>
                    <div class="input-daterange input-group" id="datepicker">
                        <input type="text" class="input-sm form-control" id="intervalStart" onchange="change()" />
                        <span class="input-group-addon" id="intervalTo">até</span>
                        <input type="text" class="input-sm form-control" id="intervalEnd" onchange="change()" />
                    </div>
                </div>

                <div class="col-sm-12">
                    <hr>
                    <button class="btn btn-success" type="button" id="btn-submit" onclick="buscar()">
                        <i class="fa fa-search" aria-hidden="true"></i> Buscar
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<div class="fab" onclick="toggleFilters()" id="fab">
  <i class="fas fa-search fa-2x icon"></i>
  <i class="fas fa-times fa-2x icon"></i>
</div>

<div id="loading_overlay"class="loading no-print">Loading&#8230;</div> <!-- Loading Overlay -->

<div id="mini_map-container">
  <div class="mini-map no-print" id="mini_map"></div>
</div>

<div class="print-only">
  <h1>Internações Hospitalares em Estabelecimentos Públicos e Conveniados SUS</h1>
  <div class="map-section">
    <div class="map" id="print-map">
    </div>
    <div class="info-column">
      <div class="mini-map-div" id="mini_map_div">
      </div>
      <div class="legend">
        <h3 class="section-title">Legenda</h3>
        <div id="print-leg">
        </div>
      </div>
      <div class="source">
        <h3 class="section-title">Fonte</h3>
        <p class="source-text">
          Internações SUS - Sec. Mun. Saúde  de São Paulo / Autarquia Hospitalar Municipal / Sistema de internações Hospitalares<br>
          <br>
          Disponível na rede intranet da PMSP em:<br>
          <span class="source-link">health-dashboard.interscity.org</span>
        </p>
      </div>
    </div>
  </div>
  <div class="active-filters">
    <h3 class="section-title no-margin">Filtros</h3>
    <div id="active-filters-div" class="source-text no-margin">
    </div>
  </div>
</div>

<script>
    $(document).ready(initProcedureMap);
    $(document).ready(dadosInput);
    /* COLLAPSIBLE FUNCTION */
    var collap = document.getElementsByClassName("collapsible");
    for(var i = 0; i < collap.length; i++) {
        collap[i].addEventListener("click", function() {
            this.classList.toggle("active");
            var wrap = this.nextElementSibling
            var content = this.nextElementSibling.children;
            if($(wrap).css("max-height") === "none"){
              $(wrap).css("max-height", $(content).height());
              $(wrap).css("max-height"); //Se tirar essa linha, a animação da volta não funciona
              $(wrap).css("max-height", 0);
            }
            else {
              $(wrap).css("max-height", "none");
            }
            $(content).toggleClass("active");
        });
    }
</script>
